# Changelog

All notable changes to this project will be documented in this file.

## [0.0.4] - Friday, 14th September 2020.

- Added new `Process` class.
- Reimplemented the `ProcessMixin` class for compatibility with `Process`.
    Use this for your models which handle one time procedures like login / sign up. 

## [0.0.2] - Friday, 28th August 2020.

### Breaking changes

- Fixed logical bug for Response.friendlyErrorMessage and Status.friendlyErrorMessage.
    Make sure that to use the friendlyErrorMesssage variable when showing errors to users.
- Renamed Status.fromJSON constructor to Status.fromResponse.


## [0.0.1] - Friday, 28th August 2020.

### Initial Features

- Status class added.
- Response class added.
- Helper mixins added. Compatible with ChangeNotifier/Provider:
    * StatusMixin. Handles the boilerplate for adding Status to a Provider.
    * ProcessMixin. Handles the boilerplate for managing a boolean value (isProcessing).
       This can be used block the UI when a crucial task is in progress.
    * PlatformsMixin. Compatible with Stateful & Stateless widgets. Provides 2 boolean values.
        - isAndroid: True if the platform is Android.
        - isIOS: True if the platform is iOS.